Loading...
Searching...
No Matches
BALL::VIEW::DockResultDialog::Compare_ Class Reference

`#include <BALL/VIEW/DIALOGS/dockResultDialog.h>`

## Public Member Functions

| Compare_ ()
| Compare_ (Position index)
| ~Compare_ ()
bool | operator() (const vector< float > &a, const vector< float > &b) const

## Public Attributes

Position | index_

## Detailed Description

Nested class in DockResultDialog. This class is needed for the sorting of the table. The rows of the table should be sorted by a certain column.

Definition at line 169 of file dockResultDialog.h.

## Constructor & Destructor Documentation

## Compare_() [1/2]

BALL::VIEW::DockResultDialog::Compare_::Compare_ | ( |  | ) |

Default constructor

## Compare_() [2/2]

BALL::VIEW::DockResultDialog::Compare_::Compare_ | ( | Position | index | ) |

Constructor

## ~Compare_()

BALL::VIEW::DockResultDialog::Compare_::~Compare_ | ( |  | ) |

Destructor

## Member Function Documentation

## operator()()

bool BALL::VIEW::DockResultDialog::Compare_::operator() | ( | const vector< float > & | a,
|  | const vector< float > & | b ) const

Operator ()

## Member Data Documentation

## index_

Position BALL::VIEW::DockResultDialog::Compare_::index_

Index of the entry by which the two vectors in operator() are compared.

Definition at line 191 of file dockResultDialog.h.